
/*  @(#)callbacks.c 1.9 95/08/25
 *
 *  Callbacks needed for the mptool program.
 *
 *  Copyright (c) Rich Burridge.    All rights reserved.
 *
 *  Permission is given to distribute these sources, as long as the
 *  copyright messages are not removed, and no monies are exchanged.
 *
 *  No responsibility is taken for any errors or inaccuracies inherent
 *  either to the comments or the code of this program, but if
 *  reported to me then an attempt will be made to fix them.
 */

#include "mptool.h"

void do_startup  (void) ;

#define  CALLBACK(name, func)                                      \
         void name(Widget w, tu_ccb_arg_p tu, XtPointer p) { func() ; }


CALLBACK(CopiesDec,       do_copies_dec)
CALLBACK(CopiesInc,       do_copies_inc)
CALLBACK(ExitMptool,      do_exit_mptool)
CALLBACK(FileApply,       do_file_apply)
CALLBACK(FileDismiss,     do_file_dismiss)
CALLBACK(HdrsAdd,         do_hdrs_add)
CALLBACK(HdrsApply,       do_hdrs_apply)
CALLBACK(HdrsDismiss,     do_hdrs_dismiss)
CALLBACK(HdrsRemove,      do_hdrs_remove)
CALLBACK(HdrsReset,       do_hdrs_reset)
CALLBACK(HelpDismiss,     do_help_dismiss)
CALLBACK(HelpGeneral,     do_help_general)
CALLBACK(HelpHeaders,     do_help_headers)
CALLBACK(HelpInput,       do_help_input)
CALLBACK(HelpOutput,      do_help_output)
CALLBACK(HelpPrinting,    do_help_printing)
CALLBACK(HelpSave,        do_help_save)
CALLBACK(HelpUsername,    do_help_username)
CALLBACK(InputApply,      do_input_apply)
CALLBACK(InputDismiss,    do_input_dismiss)
CALLBACK(InputReset,      do_input_reset)
CALLBACK(OutputApply,     do_output_apply)
CALLBACK(OutputDismiss,   do_output_dismiss)
CALLBACK(OutputReset,     do_output_reset)
CALLBACK(OutputUpdate,    do_output_update)
CALLBACK(PrintFiles,      do_print_files)
CALLBACK(PrintingApply,   do_printing_apply)
CALLBACK(PrintingDismiss, do_printing_dismiss)
CALLBACK(PrintingReset,   do_printing_reset)
CALLBACK(ResetOptions,    do_reset_options)
CALLBACK(SaveDefaults,    do_save_defaults)
CALLBACK(ShowFile,        do_show_file)
CALLBACK(ShowHeaders,     do_show_headers)
CALLBACK(ShowInput,       do_show_input)
CALLBACK(ShowOutput,      do_show_output)
CALLBACK(ShowPrinting,    do_show_printing)
CALLBACK(ShowUsername,    do_show_username)
CALLBACK(ToggleHdrList,   do_toggle_hdr_list)
CALLBACK(UNApply,         do_un_apply)
CALLBACK(UNDismiss,       do_un_dismiss)
CALLBACK(UNReset,         do_un_reset)

int
startup()
{
  do_startup() ;
  return(0) ;
}
